# SubLogger (SubServers.Bungee)

net.ME1312.SubServers.Bungee.Host

## Class SubLogger

- java.lang.Object
- - net.ME1312.SubServers.Bungee.Host.SubLogger

Direct Known Subclasses:
  ExternalSubLogger, InternalSubLogger

    public abstract class SubLogger
    extends java.lang.Object

SubLogger Layout Class

### Nested Class Summary

Nested Classes
`static class` `SubLogger.LogMessage` Log Message Storage Class

### Constructor Summary

Constructors
Constructor and Description
`SubLogger()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract java.lang.Object` `getHandler()` Gets the Object using this Logger
`abstract java.util.List<SubLogger.LogMessage>` `getMessageHistory()` Gets a list of all the messages logged by this logger
`abstract java.lang.String` `getName()` Gets the Name of the task logging
`abstract boolean` `isLogging()` Get if the Logger is currently logging
`abstract void` `registerFilter(SubLogFilter filter)` Register Filter
`abstract void` `start()` Start Logger
`abstract void` `stop()` Stop Logger
`abstract void` `unregisterFilter(SubLogFilter filter)` Unregister Filter

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SubLogger

    public SubLogger()

### Method Detail

#### getName

    public abstract java.lang.String getName()

Gets the Name of the task logging

Returns:
  Log Task Name

#### getHandler

    public abstract java.lang.Object getHandler()

Gets the Object using this Logger

Returns:
  Object

#### start

    public abstract void start()

Start Logger

#### stop

    public abstract void stop()

Stop Logger

#### isLogging

    public abstract boolean isLogging()

Get if the Logger is currently logging

Returns:
  Logging Status

#### getMessageHistory

    public abstract java.util.List<SubLogger.LogMessage> getMessageHistory()

Gets a list of all the messages logged by this logger

Returns:
  Log Messages (named by log level)

#### registerFilter

    public abstract void registerFilter(SubLogFilter filter)

Register Filter

Parameters:
  `filter` - Filter

#### unregisterFilter

    public abstract void unregisterFilter(SubLogFilter filter)

Unregister Filter

Parameters:
  `filter` - Filter